#
# spec file for package gnac
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnac
Version:        0.2.4.1
Release:        16.6
Summary:        Audio converter for GNOME
License:        GPL-3.0+
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Url:            http://gnac.sourceforge.net/
Source:         http://downloads.sourceforge.net/project/gnac/gnac/gnac-0.2.4.1/%{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM gnac-gstreamer-1.0.patch bgo#742683 dimstar@opensuse.org -- Port to GStreamer 1.0
Patch0:         gnac-gstreamer-1.0.patch
# PATCH-FIX-UPSTREAM gnac-fix-typo.patch dimstar@opensuse.org -- Fix silly typo, taken from git
Patch1:         gnac-fix-typo.patch
# PATCH-FIX-UPSTREAM gnac-stdc11.patch dimstar@opensuse.org -- Fix build with GCC5, resp STDCX11
Patch2:         gnac-stdc11.patch
BuildRequires:  fdupes
BuildRequires:  gnome-common
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  intltool
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gstreamer-1.0) >= 0.10.31
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0) >= 0.10.31
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(unique-3.0)
Requires:       gstreamer-plugins-base
Requires:       gstreamer-plugins-good
# Some supported formats are not in good
Recommends:     gstreamer-plugins-bad
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Gnac is an easy to use audio conversion program for the GNOME desktop.
It is designed to be powerful but simple! It provides easy audio files
conversion between all GStreamer supported audio formats.

%lang_package
%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
translation-update-upstream

%build
autoreconf -fiv
intltoolize --force
%configure
%__make %{?_smp_mflags}

%install
%makeinstall
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file gnac
%fdupes %{buildroot}%{_datadir}

%clean
rm -rf %{buildroot}

%post
%if 0%{?suse_version} > 1130
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post
%else
gtk-update-icon-cache %{_datadir}/icons/hicolor || true
%endif

%postun
%if 0%{?suse_version} > 1130
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun
%else
gtk-update-icon-cache %{_datadir}/icons/hicolor || true
%endif

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}/
%doc %{_datadir}/gnome/help/%{name}/C/
%{_mandir}/man1/gnac.1.*
%{_bindir}/gnac
%{_datadir}/applications/gnac.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gnac.gschema.xml
%{_datadir}/gnac/
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_datadir}/pixmaps/gnac.png

%files lang -f %{name}.lang

%changelog
* Fri Jun 19 2015 dimstar@opensuse.org
- Add gnac-fix-typo.patch: Fix typo in function call
  (critial vs critical).
- Add gnac-stdc11.patch: Fix build with GCC 5.
* Fri Apr 24 2015 dimstar@opensuse.org
- Port to GStreamer 1.0 (bgo#742683):
  + Add gnac-gstreamer-1.0.patch.
  + Replace pkgconfig(gstreamer*-0.10) with
    pkgconfig(gstreamer*-1.0).
  + Replace gstreamer-0_10-plugins-base and
    gstreamer-0_10-plugins-good Requires with their GStreamer 1.0
    counterparts: gstreamer-plugins-base and
    gstreamer-plugins-good.
  + Replace gstreamer-0_10-plugins-bad Recommends with
    gstreamer-plugins-bad.
- Add gnome-common BuildRequires and call to autoreconf and
  intltoolize, as the above patch touches the build system.
* Thu May 17 2012 dimstar@opensuse.org
- Update to version 0.2.4.1:
  + Added support for ASX playlists.
* Mon Feb 27 2012 dimstar@opensuse.org
- Update to version 0.2.4:
  + Ported from GTK2 to GTK3
  + Updated translations
- Adjust BuildRequires to reflect the move to GTK3:
  + Replace pkgconfig(gtk+-2.0) with pkgconfig(gtk+-3.0)
  + Replace pkgconfig(unique-1.0) with pkgconfig(unique-3.0)
- Add pkgconfig(libnotify) that was forgotten in update to 0.2.3,
  so notifications can be used.
- Remove pkgconfig(glib-2.0) BuildRequires: not checked in
  configure anymore.
* Thu May  5 2011 dimstar@opensuse.org
- Update to version 0.2.3:
  + Extract and convert audio from video
  + Notification on conversion completed
  + Migration to GSettings.
- Remove FIXME for license mismatch: the headers are adjusted to be
  GPLv3+ too.
- Replace gconf schema handling macros with gsettings ones.
- Remove pkgconfig(gconf-2.0) BuildRequires.
* Thu Apr 28 2011 vuntz@opensuse.org
- Move to pkgconfig()-style BuildRequires:
  + Old ones: gconf2-devel, gstreamer-0_10-plugins-base-devel,
    gtk2-devel, libunique-devel, libxml2-devel.
  + New ones: gconf-2.0, glib-2.0, gstreamer-0.10,
    gstreamer-pbutils-0.10, gstreamer-plugins-base-0.10,
    gstreamer-tag-0.10, gtk+-2.0, libxml-2.0, unique-1.0.
* Mon Feb 14 2011 sbrabec@suse.cz
- Added support for translation-update-upstream.
* Sat Feb 12 2011 vuntz@opensuse.org
- Call missing relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
* Tue Dec 14 2010 vuntz@opensuse.org
- Own /usr/share/gnome and /usr/share/gnome/help to fix build.
* Wed Sep  1 2010 badshah400@gmail.com
- Spec file cleanup
* Tue Aug 31 2010 badshah400@gmail.com
- Initial package (version 0.2.2)
